### Method

# Fwupd Client get_host_security_events_async

since: 1.7.1

#### Declaration [src]

    void
    fwupd_client_get_host_security_events_async (
      FwupdClient* self,
      guint limit,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer callback_data
    )

#### Description [src]

Gets all the host security events from the daemon.

You must have called `fwupd_client_connect_async()` on `self` before using this method.

Available since: 1.7.1

This method completes asynchronously. Use `fwupd_client_get_host_security_events_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`limit`

  Type: `guint`

  Maximum number of events, or 0 for no limit.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  The function to run on completion.

  The argument can be `NULL`.

`callback_data`

  Type: `gpointer`

  The data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.